Subject: Re: [PATCH net] selftests: netdevsim: fix the udp_tunnel_nic test

From: Jakub Kicinski <[email-masked]>
Date: Tue, 23 Jan 2024 07:39:25 -0800

On Tue, 23 Jan 2024 09:27:17 +0100 Paolo Abeni wrote:
> > @@ -270,6 +270,7 @@ for port in 0 1; do
> >  	echo 1 > $NSIM_DEV_SYS/new_port
> >      fi
> >      NSIM_NETDEV=`get_netdev_name old_netdevs`
> > +    ifconfig $NSIM_NETDEV up  
> 
> WoW! I initially thought the above was a typo, before noticing it's
> actually consistent with the whole script :)
> 
> Do you think we should look at dropping ifconfig usage from self-tests?
> I guess that in the long run most systems should not have such command
> available in the default install.

Good point, there's only one use outside of this script.
I'll queue up a conversion for -next!